Delete a saved token
Use this endpoint to permanently remove a saved token for a specific merchant user.
Endpoint summary
Path: /tokenization/delete-token
Method: POST
Content-Type: application/json
Request parameters
| Parameter | Type | Mandatory | Description |
|---|---|---|---|
| merchantId | String | M | Merchant identifier |
| userId | String(56) | M | Merchant's user identifier, value is case sensitive |
| tokenId | Number | M | Token identifier |
note
- Token deletion is permanent and cannot be undone. Ensure the correct
tokenIdis provided before submitting the request.
Request example
{
"request": "{\"merchantId\":3,\"userId\":\"user1\",\"tokenId\":375}",
"signature": "SE0n9qK59KNYlR4b7KWVhdeUw0aBcJ+IGx2TQkaBXrqPm/enRBIz3MOZwM73AqG8zqn8KQOCps3hHn/ROzzlGIwgpRkQxEr7rgcLmfWlD33Z5hVYZt6c1vSeEuKlkrHFxE7W6VcjMxgOj/dd7zT/by7Dd7pEv7G3Xr/YLnttJMD+A/YkYsWkPYMv/taEcM5eZiz8aQX+hL/HtWVseuuwjR9YjdRQyMpOngmftdh2jRGaevXSrm93rqOv/VRSA9lpjKD25NZN87X7wrlPAKIqCVxTgfwRr1OgAYSIi4FwijVGHzkU4AwP2cIldOd4LNgK4ra8yORkP6fHKtYgwsbahA=="
}
Response parameters
| Parameter | Type | Mandatory | Description |
|---|---|---|---|
| responseCode | String | M | Payment Gateway response code |
| message | String | M | Payment Gateway response message |
Response example
{
"responseCode": "0000",
"message": "Success"
}